Subject: RE: IPP> Notifications

From: Roger K Debry <[email-masked]>
Date: Thu, 5 Feb 1998 13:03:41 -0500

> What will actually happen is that we will all poll :-(

I think that's the best we can do if we limit ourselves to the existing Web
infrastructure.  Meanwhile, implementers will find ways to do asynchronous
notifications outside the IPP box, as proprietary extensions.  Later, the IPP
v2 working group can look at what works and select or synthesize some approach
as standard for IPP asynch notification.  And by then maybe the Web won't be so
asymmetrical.

Anyway, polling might not be elegant, but I think it can do the job.  With
HTTP/1.1, the client will be polling over a persistant connection,

<RKD> So you assume that we would keep a connection open until
<RKD> a print job is completed and a notification provided? I
<RKD> don't know if I'd agree that this is a good idea.

so the
overhead should be low.  Polling rates could be fairly slow, since there's no
need for instantaneous notification with an application like printing.

 -Carl

[email-masked] on 02/04/98 01:53:15 PM
Please respond to [email-masked] @ internet
To: [email-masked] @ internet, Carl Kugler/Boulder/IBM@ibmus
cc:
Subject: RE: IPP> Notifications

No argument at all. This is othogonal to the XML debate.

I am looking at expanding IPP to cover many needs beyond the relatively
simple feature set currently defined, the extensibility issue led me to the
XML proposal, the unsolicited message issue led me to this thread.

The point I am making is that using HTTP asymmetrically (i.e the client
always POSTs, the printer always listens for POST - which is the 'natural'
use of HTTP) precludes the core IPP protocol from generating asynchronous or
unsolicited reverse messages. This is a major limitiation - I want to be
sure that everybody knows that we are doing it and that we all accept the
trade-off. I'm sure we could invent lots of hacks later on the will work
round this but that's not an ideal solution. What will actually happen is
that we will all poll :-(

> -----Original Message-----
> From: Carl Kugler [SMTP:[email-masked]]
> Sent: Wednesday, February 04, 1998 9:40 AM
> To: [email-masked]
> Subject: Re: IPP> Notifications
>
> Paul-
>
> I would like to point out that the XML/new method proposal is no better in
> this
> respect.  The problem is not that IPP is asymmetric:  the underlying HTTP
> transport layer is asymmetric, and that is common to both approaches.
>
>  - Carl
>
>
>
> [email-masked] on 02/03/98 12:24:44 PM
> Please respond to [email-masked] @ internet
> To: [email-masked] @ internet
> cc:
> Subject: IPP> Notifications
>
>
> Has anybody noticed that IPP will be useless for notifications due to the
> asymmetry of the protocol? As currently constituted a printer cannot send
> an
> unsolicted message to anybody.
>
> Was this discussed later on on the Thursday brainstorm?
>
>
>

---

From: Jay Martin <[email-masked]>
Date: Thu, 05 Feb 1998 14:43:34 -0500

> <RKD> don't know if I'd agree that this is a good idea.

I agree with Roger.  Maintaining a connection for the lifetime
of the job will not scale very well in large environments.

Maintaining a constant connection might be ok for the "Internet fax
printer" scenario, but it just won't fly in the enterprise.

	...jay

----------------------------------------------------------------------
--  JK Martin               |  Email:   [email-masked]          --
--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
--  Hudson, NH 03051-4915   |  Web:     http://www.underscore.com   --
----------------------------------------------------------------------